Name:           komparator
Version:        0.9
Release: 	5%{?dist}
Summary:        Kompare and merge two folders

Group:          Development/Tools
License:        GPLv2
URL:            http://komparator.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/komparator/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  kdelibs3-devel, desktop-file-utils

%description
Kompare and merge two folders.
They will be searched for duplicate files and empty folders.

%prep
%setup -q
%{__sed} -i "s|\%u \%u|\%u|" src/%{name}.desktop

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh
%configure \
         --disable-rpath

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

HTML_DIR=$(kde-config --expandvars --install html)

# this is junk
rm -rf $RPM_BUILD_ROOT$HTML_DIR/%{name} 

# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

# Desktop.
desktop-file-install  --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/komparator.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/komparator
%{_datadir}/applications/*
%{_datadir}/icons/*/*/*/komparator.png
%{_datadir}/icons/*/*/*/komparator_working.mng


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.9-2
- drop broken BR: qt-devel
- BR: gettext
- BR: kdelibs3-devel (was kdebase3-devel)
- fix Source Url
- fix configure logic (64bit)

* Wed Feb 27 2008 Neal Becker <ndbecker2@gmail.com> - 0.9-1
- Update to 0.9

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8-3
- Autorebuild for GCC 4.3

* Sun Dec  2 2007 Neal Becker <ndbecker2@gmail.com> - 0.8-2
- Fix mock build
- BR kdebase -> kdebase3

* Thu Oct 11 2007 Neal Becker <ndbecker2@gmail.com> - 0.7-1
- Update to 0.8

* Fri Aug 31 2007 Neal Becker <ndbecker2@gmail.com> - 0.7-1
- Update to 0.7

* Tue Aug 28 2007 Neal Becker <ndbecker2@gmail.com> - 0.6-3
- Fix .desktop entry for F8

* Tue Aug 28 2007 Neal Becker <ndbecker2@gmail.com> - 0.6-2
- Fix summary
- Add changelog
- Fix license
- Fix desktop-file-install
